- Qt 6.8
- Qt GUI
- C++ Classes
- QEGLContext
- Qt 6.8.3 Reference Documentation

# QEGLContext Struct

struct QNativeInterface::QEGLContext

Native interface to an EGL context. More...

Header: | `#include <QOpenGLContext>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.0

- List of all members, including inherited members

## Public Functions

`(since 6.3)` int | config() const
`(since 6.3)` int | display() const
`(since 6.5)` virtual void | invalidateContext() = 0
int | nativeContext() const

## Static Public Members

QOpenGLContext * | fromNative(int context, int display, QOpenGLContext *shareContext = nullptr)

## Detailed Description

Accessed through QOpenGLContext::nativeInterface().

## Member Function Documentation

### `[since 6.3]` int QEGLContext::config() const

Returns the EGLConfig associated with the underlying EGLContext.

This function was introduced in Qt 6.3.

### `[since 6.3]` int QEGLContext::display() const

Returns the EGLDisplay associated with the underlying EGLContext.

This function was introduced in Qt 6.3.

### `[static]` QOpenGLContext *QEGLContext::fromNative(int context, int display, QOpenGLContext *shareContext = nullptr)

Adopts an EGLContext context.

The same `EGLDisplay` passed to `eglCreateContext` must be passed as the display argument.

Ownership of the created QOpenGLContext shareContext is transferred to the caller.

### `[pure virtual, since 6.5]` void QEGLContext::invalidateContext()

Marks the context as invalid

If this context is used by the Qt Quick scenegraph, this will trigger the SceneGraph to destroy this context and create a new one.

Similarly to QPlatformWindow::invalidateSurface(), this function can only be expected to have an effect on certain platforms, such as eglfs.

This function was introduced in Qt 6.5.

See also QOpenGLContext::isValid() and QPlatformWindow::invalidateSurface().

### int QEGLContext::nativeContext() const

Returns the underlying EGLContext.